Get tool
GET
One tool, by id, with its full definition.
Access: workspace_viewer · API key tools:read
api-keyheader
AuthorizationBearer <sk_waylo_<lookup><secret><checksum>>id*stringSuccess
application/json- response
id*stringworkspaceId*stringname*stringfeedback*credentialId*|Format
uuidactive*booleanagentCount*numbercreatedByUserId*|Format
uuidcreatedByUserName*string|nullupdatedByUserId*|Format
uuidupdatedByUserName*string|nullcreatedAt*stringFormat
date-timeupdatedAt*stringFormat
date-timetype*"api_request"Value in
"api_request"description*stringparameters*config*curl -X GET 'https://api.poc.app.waylovoice.ai/tools/string' \ -H 'Authorization: Bearer sk_waylo_...'Example Response
{ "id": "string", "workspaceId": "string", "name": "string", "feedback": { "ack": [ "string" ], "filler": [ "string" ] }, "credentialId": "f568fec0-10b6-4b94-9daf-e62c50c9bf3e", "active": true, "agentCount": 0, "createdByUserId": "4d2aef9a-17b0-44e6-902e-616812033620", "createdByUserName": "string", "updatedByUserId": "b38eaad7-8efa-49e7-b0aa-619916a3821e", "updatedByUserName": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "type": "api_request", "description": "string", "parameters": {}, "config": { "method": "GET", "url": "string", "headers": { "property1": "string", "property2": "string" }, "staticBody": {}, "timeoutMs": 0 }}